---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libclrbrk001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4BA58, symBinAddr: 0x8328, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4D998, symBinAddr: 0xA268, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4DD80, symBinAddr: 0xA650, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4ED20, symBinAddr: 0xB5F0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4ED28, symBinAddr: 0xB5F8, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4B580, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4B584, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4B588, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4B6D8, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4B790, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4B794, symBinAddr: 0x8154, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4B798, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4B79C, symBinAddr: 0x815C, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4B7A0, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4B7A8, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4B7C0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4B7C8, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4B7D0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4B7D8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4B7E0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL16breakpointsCount, symObjAddr: 0x4B824, symBinAddr: 0x81B4, symSize: 0x0 }
  - { offsetInCU: 0x90AE, offset: 0x90AE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4B828, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x90CE, offset: 0x90CE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4B830, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x90E7, offset: 0x90E7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4B840, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x9100, offset: 0x9100, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4B850, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x9119, offset: 0x9119, size: 0x8, addend: 0x0, symName: __ZL3mid, symObjAddr: 0x4B988, symBinAddr: 0x8318, symSize: 0x0 }
  - { offsetInCU: 0x9132, offset: 0x9132, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4B990, symBinAddr: 0x8320, symSize: 0x0 }
  - { offsetInCU: 0x9152, offset: 0x9152, size: 0x8, addend: 0x0, symName: __ZL19breakpointsExpected, symObjAddr: 0x4B994, symBinAddr: 0x8324, symSize: 0x0 }
  - { offsetInCU: 0x91A4, offset: 0x91A4, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0xB00, symSize: 0xA0 }
  - { offsetInCU: 0x9239, offset: 0x9239, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0xAD8, symSize: 0x28 }
  - { offsetInCU: 0x929C, offset: 0x929C, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0xA58, symSize: 0x80 }
  - { offsetInCU: 0x9530, offset: 0x9530, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0xBA0, symSize: 0x20C }
  - { offsetInCU: 0x96E9, offset: 0x96E9, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0xDAC, symSize: 0x28 }
  - { offsetInCU: 0x97B2, offset: 0x97B2, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0xDD4, symSize: 0xB0 }
  - { offsetInCU: 0x98A9, offset: 0x98A9, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0xE84, symSize: 0xD8 }
  - { offsetInCU: 0x99CE, offset: 0x99CE, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0xF5C, symSize: 0x24 }
  - { offsetInCU: 0x9A91, offset: 0x9A91, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0xF80, symSize: 0x168 }
  - { offsetInCU: 0x9C6D, offset: 0x9C6D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x10E8, symSize: 0x104 }
  - { offsetInCU: 0x9DEA, offset: 0x9DEA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x11EC, symSize: 0x154 }
  - { offsetInCU: 0x9FCE, offset: 0x9FCE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x1340, symSize: 0xAC }
  - { offsetInCU: 0xA0A3, offset: 0xA0A3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x13EC, symSize: 0x14 }
  - { offsetInCU: 0xA0DC, offset: 0xA0DC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x1400, symSize: 0x14 }
  - { offsetInCU: 0xA115, offset: 0xA115, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x1414, symSize: 0x14 }
  - { offsetInCU: 0xA292, offset: 0xA292, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x1428, symSize: 0x1A8 }
  - { offsetInCU: 0xA5A6, offset: 0xA5A6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x15D0, symSize: 0x9C }
  - { offsetInCU: 0xA663, offset: 0xA663, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x166C, symSize: 0x690 }
  - { offsetInCU: 0xB1F5, offset: 0xB1F5, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9100, symBinAddr: 0x2838, symSize: 0x30 }
  - { offsetInCU: 0xB281, offset: 0xB281, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x1CFC, symSize: 0x74 }
  - { offsetInCU: 0xB389, offset: 0xB389, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x1D70, symSize: 0xB0 }
  - { offsetInCU: 0xB4B4, offset: 0xB4B4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x1E20, symSize: 0x3C }
  - { offsetInCU: 0xB5AA, offset: 0xB5AA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x1E5C, symSize: 0x29C }
  - { offsetInCU: 0xB8ED, offset: 0xB8ED, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x20F8, symSize: 0xD0 }
  - { offsetInCU: 0xBA1B, offset: 0xBA1B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x21C8, symSize: 0xC }
  - { offsetInCU: 0xBADD, offset: 0xBADD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x21D4, symSize: 0x22C }
  - { offsetInCU: 0xBD98, offset: 0xBD98, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x2400, symSize: 0x4 }
  - { offsetInCU: 0xBDDC, offset: 0xBDDC, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x2400, symSize: 0x4 }
  - { offsetInCU: 0xBDF5, offset: 0xBDF5, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x2404, symSize: 0x1D0 }
  - { offsetInCU: 0xC015, offset: 0xC015, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E9C, symBinAddr: 0x25D4, symSize: 0x4 }
  - { offsetInCU: 0xC059, offset: 0xC059, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E9C, symBinAddr: 0x25D4, symSize: 0x4 }
  - { offsetInCU: 0xC072, offset: 0xC072, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0x8EA0, symBinAddr: 0x25D8, symSize: 0x14 }
  - { offsetInCU: 0xC0F7, offset: 0xC0F7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ClearBreakpoint_clrbrk001_getReady, symObjAddr: 0x8EB4, symBinAddr: 0x25EC, symSize: 0x68 }
  - { offsetInCU: 0xC189, offset: 0xC189, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ClearBreakpoint_clrbrk001_setBP, symObjAddr: 0x8F1C, symBinAddr: 0x2654, symSize: 0x94 }
  - { offsetInCU: 0xC213, offset: 0xC213, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ClearBreakpoint_clrbrk001_clearBP, symObjAddr: 0x8FB0, symBinAddr: 0x26E8, symSize: 0x94 }
  - { offsetInCU: 0xC29D, offset: 0xC29D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ClearBreakpoint_clrbrk001_check, symObjAddr: 0x9044, symBinAddr: 0x277C, symSize: 0xBC }
  - { offsetInCU: 0xC2D6, offset: 0xC2D6, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9130, symBinAddr: 0x2868, symSize: 0x358 }
...
